package com.novell.gso.jmstest.jms;

import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

import org.slf4j.Logger;
import org.springframework.stereotype.Component;

import com.novell.gso.jmstest.controller.Listener;

@Component
public class SimpleMessageListener implements MessageListener {

	static final Logger logger = Listener.logger;

	public void onMessage(Message inMessage) {
		try {
			TextMessage message = (TextMessage) inMessage;
			logger.info("Received message: {}", message.getText());
		} 
		catch (Exception e) {
			logger.error("Error", e);
		}
	}
}
